Cisco Support Community
cancel
Showing results for 
Search instead for 
Did you mean: 
New Member

Can we directly Upgrade WCS From 6.0.132.0 to 7.0.164.0 on Linux.

Is it possible to upgrade the WCS from 6.0.132.0 to 7.0.164.0.  Is it necessary to take the backup of 6.0.132.0 and restore it in 7.0.164.0 or directly we can upgrade from 6.0.132.0 to 7.0.164.0.

The backup from 6.0.132.0 is compatible with 7.0.164.0 or do we hae to upgrade it in to 6.0.181.0.

6 REPLIES
Cisco Employee

Re: Can we directly Upgrade WCS From 6.0.132.0 to 7.0.164.0 on

You can go from 6.0.132.0 to 7.0.164.0 as referenced here:

http://www.cisco.com/en/US/docs/wireless/wcs/release/notes/WCS_RN7_0.html

I would recommend the manual upgrade procedure located here:

http://www.cisco.com/en/US/docs/wireless/wcs/7.0/configuration/guide/7_0main.html#wp1087553

New Member

Re: Can we directly Upgrade WCS From 6.0.132.0 to 7.0.164.0 on

Just One question,

What about the database compatibility between 6.0.132.0 & 7.0.164.0

Can we restore the backup from 6.0.132.0 to 7.0.164.0   OR do we have to upgarde to 6.0.181.0 first

Cisco Employee

Re: Can we directly Upgrade WCS From 6.0.132.0 to 7.0.164.0 on

Can we restore the backup from 6.0.132.0 to 7.0.164.0 - yes

do we have to upgarde to 6.0.181.0 first - no

New Member

Re: Can we directly Upgrade WCS From 6.0.132.0 to 7.0.164.0 on

thank you boss. i will try it out tomorrow and will let u know.

New Member

Re: Can we directly Upgrade WCS From 6.0.132.0 to 7.0.164.0 on

Thanks. I managed to upgrade the WCS to 7.0.164.0.

But now i am facing a strange issue. After the upgrade i cannot track any of the clients.

All the controllers were synchronized with the Location appliance and the synchronize icon is also coming. But out of 22 controllers , the NMSP status is in the inactive state for 21 controllers.

Only one controller is having NMSP active state. Did you come across with such issues.

WLC : 7.0.98.0

WCS : 7.0.164.0

LA:6.0.102.0

Please find the attached screen shot for your reference.

Thanks & Regards

Sreejith R

Re: Can we directly Upgrade WCS From 6.0.132.0 to 7.0.164.0 on

Your LA version needs to be the 6.0.101.0 as per :

http://www.cisco.com/en/US/docs/wireless/wcs/release/notes/WCS_RN7_0.html

Clean up the Location Appliance, SSH to it and follow the steps:

1. Stop the location server. root @ localhost > service locserverd stop Shutting down locserverd: Request server shutdown now... Server shutdown complete.

2. Move the existing database file root @ localhost > mv /opt/locserver/db/linux/server-eng.db /opt/locserver/db/linux/server-eng.db.old or Use the command: rm -rf /opt/locserver/db/linux/server-eng.db

3. Start the location server back. root @ localhost / > service locserverd start Starting locserverd:

4. Run the synchronization job in WCS. Run the Location Server Synchronization job after selecting all the network designs and the controllers form the sync page.

This should resolve your issue.

I suggest you to listen to my webcast:

https://supportforums.cisco.com/community/netpro/ask-the-expert/webcasts

633
Views
0
Helpful
6
Replies
CreatePlease to create content